﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows;

namespace _383164_UploadExample.Web
{
    /// <summary>
    /// Summary description for UserUploadHandler
    /// </summary>
    public class UserUploadHandler : RadUploadHandler
    {
        public override Dictionary<string, object> GetAssociatedData()
        {
            Dictionary<string, object> dict = base.GetAssociatedData();
             if (IsFinalFileRequest())
             {
                 dict.Add("MyId", savedId);
             }
             return dict;
        }
        int savedId;
        public override bool SaveChunkData(string filePath, long position, byte[] buffer, int contentLength, out int savedBytes)
        {
            bool result = base.SaveChunkData(filePath, position, buffer, contentLength, out savedBytes);
            if (this.IsFinalFileRequest())
            {
                //CODE to save item to database.
                savedId = SomeId();
            }
            return result;
        }

        int num = 0;
        private int SomeId()
        {
            return num++;
        }

    }
}